package bot.action;

import bot.agent.BotContext;
import cz.cuni.amis.pogamut.sposh.executor.ActionResult;
import cz.cuni.amis.pogamut.sposh.executor.Param;
import cz.cuni.amis.pogamut.sposh.executor.ParamsAction;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;
import cz.cuni.amis.pogamut.ut2004.communication.messages.gbinfomessages.FlagInfo;
import cz.cuni.amis.pogamut.ut2004.communication.messages.gbinfomessages.Player;

/**
 * Stop shooting.
 *
 * @author knight
 */
@PrimitiveInfo(name="StopShooting", description="Stop shooting.")
public class StopShooting extends ParamsAction<BotContext> {

    public StopShooting(BotContext ctx) {
        super(ctx);
    }

    public void init() {  
        ctx.getShoot().stopShooting();
        ctx.isShooting = false;        
    }

    public ActionResult run() {
        return ActionResult.FINISHED;
    }

    public void done() {        
    }
}
