package bot.sense;

import bot.agent.BotContext;
import cz.cuni.amis.pogamut.sposh.executor.ParamsSense;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;

/**
 * How much armor has the bot?
 *
 * @author knight
 */
@PrimitiveInfo(name="Armor", description="How much armor has the bot?")
public class Armor extends ParamsSense<BotContext, Integer> {

    public Armor(BotContext ctx) {
        super(ctx, Integer.class);
    }

    public Integer query() {
        return ctx.getInfo().getArmor();        
    }
}
