package bot.sense;

import bot.agent.BotContext;
import cz.cuni.amis.pogamut.sposh.executor.ParamsSense;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;

/**
 * How much health has the bot?
 *
 * @author knight
 */
@PrimitiveInfo(name="Health", description="How much health has the bot?")
public class Health extends ParamsSense<BotContext, Integer> {

    public Health(BotContext ctx) {
        super(ctx, Integer.class);
    }

    public Integer query() {
        return ctx.getInfo().getHealth();
    }
}
