package bot.action;

import bot.Combo;
import bot.agent.BotContext;
import cz.cuni.amis.pogamut.sposh.executor.ActionResult;
import cz.cuni.amis.pogamut.sposh.executor.Param;
import cz.cuni.amis.pogamut.sposh.executor.ParamsAction;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;
import cz.cuni.amis.pogamut.ut2004.communication.messages.gbinfomessages.FlagInfo;

/**
 * Do adrenaline combo of input type.
 *
 * @author knight
 */
@PrimitiveInfo(name="AdrenalineCombo", description="Do adrenaline combo. You can do the combo only with adrenaline at 100!")
public class AdrenalineCombo extends ParamsAction<BotContext> {

    public AdrenalineCombo(BotContext ctx) {
        super(ctx);
    }

    public void init(@Param("$type") Combo type) {
        ctx.getBody().getAction().startCombo(type.command);
    }

    public ActionResult run() {
        return ActionResult.RUNNING_ONCE;        
    }

    public void done() {
        
    }
}
