package bot.action;

import bot.agent.BotContext;
import cz.cuni.amis.pogamut.sposh.executor.ActionResult;
import cz.cuni.amis.pogamut.sposh.executor.Param;
import cz.cuni.amis.pogamut.sposh.executor.ParamsAction;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;
import cz.cuni.amis.pogamut.ut2004.communication.messages.gbinfomessages.FlagInfo;

/**
 * Turns the bot around.
 * 
 * @author knight
 */
@PrimitiveInfo(name="Jump", description="Jumps the bot.")
public class Jump extends ParamsAction<BotContext> {

    public Jump(BotContext ctx) {
        super(ctx);
    }

    public void init() {

    }

    public ActionResult run() {
        ctx.getMove().jump();
        return ActionResult.RUNNING_ONCE;
    }

    public void done() {
    }
}
