package bot.action;

import bot.agent.BotContext;
import cz.cuni.amis.pogamut.sposh.executor.ParamsSense;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;

/**
 * This sense will determine, if the bot can see a player.
 *
 * @author knight
 */
@PrimitiveInfo(name = "SeePlayer", description = "Do I see a player?")
public class SeePlayer extends ParamsSense<BotContext, Boolean> {

    public SeePlayer(BotContext ctx) {
        super(ctx, Boolean.class);
    }

    public Boolean query() {
        return ctx.getPlayers().canSeePlayers();
    }    
}
