package bot.action;

import bot.agent.BotContext;
import cz.cuni.amis.pogamut.sposh.executor.ActionResult;
import cz.cuni.amis.pogamut.sposh.executor.Param;
import cz.cuni.amis.pogamut.sposh.executor.ParamsAction;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;
import cz.cuni.amis.pogamut.ut2004.communication.messages.gbinfomessages.FlagInfo;

/**
 * Turns the bot around.
 * 
 * @author knight
 */
@PrimitiveInfo(name="Turn", description="Turns the bot 90 degrees.")
public class Turn extends ParamsAction<BotContext> {

    public Turn(BotContext ctx) {
        super(ctx);
    }

    public void init() {

    }

    public ActionResult run() {
        ctx.getMove().turnHorizontal(90);
        return ActionResult.RUNNING_ONCE;
    }

    public void done() {
    }
}
