package bot.sense;

import bot.agent.BotContext;
import cz.cuni.amis.pogamut.sposh.executor.ParamsSense;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;

/**
 * How much adrenaline the bot has?
 *
 * @author knight
 */
@PrimitiveInfo(name="Adrenaline", description="How much adrenaline the bot has?")
public class Adrenaline extends ParamsSense<BotContext, Integer> {

    public Adrenaline(BotContext ctx) {
        super(ctx, Integer.class);
    }

    public Integer query() {
        return ctx.getInfo().getAdrenaline();
    }
}
