package bot.sense;

import bot.agent.BotContext;
import cz.cuni.amis.pogamut.sposh.executor.ParamsSense;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;

/**
 * Is our bot currently shooting?
 *
 * @author knight
 */
@PrimitiveInfo(name="IsShooting", description="Is our bot shooting?")
public class IsShooting extends ParamsSense<BotContext, Boolean> {

    public IsShooting(BotContext ctx) {
        super(ctx, Boolean.class);
    }

    public Boolean query() {
        return ctx.isShooting;
    }
}
